## -------------------------------------------------------------- ##
## Problem definitions for real data study
## Called by real-data.R
## -------------------------------------------------------------- ##

library(survival)

## Cross validation
crossval <- function(data, job, num_folds, fold, ...) {
  n <- nrow(data)
  folds <- split(sample(n, n), cut(1:n, num_folds, labels = FALSE))
  test <- folds[[fold]]
  train <- setdiff(seq_len(n), test)
  list(test = test, train = train)
}
